> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Create Page (deprecated)

POST https://api.bigcommerce.com/stores/{store_hash}/v2/pages
Content-Type: application/json

Creates a *Page*. The request payload limit is 1MB.

**Required Fields**
*   `type`
*   `name`
*   `link` (for a page of `type: link`)
*   `body` (for a page of `type: raw`)

**Read Only Fields**
*   `id`

## Content Type

The default value for `content_type` is `text/html`; however, if `page_type` is set to `raw`, `content_type` can be changed to `text/javascript` or `application/json`. Updating this field lets you place a JavaScript or a JSON file in the root directory.

> #### Warning
> **Deprecated**
> * This API operation is deprecated. Avoid using this API operation if possible. It will be removed in a future version.
> * To create one or more pages, use Pages V3ʼs [Create pages](/developer/api-reference/rest/admin/content/pages/create-pages) endpoint.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/content/store-content/pages/create-page

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Content | modify | `store_v2_content` | | Content | read-only | `store_v2_content_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

### Body (application/json)

This endpoint expects a page_Base.

- `name` (string, required) — Page name, as displayed on the storefront.
- `body` (string, required) — HTML or variable that populates this page’s `<body>` element, in default/desktop view. Required in POST if page type is `raw`.
- `type` (enum, required) — `page`: free-text page `link`: link to another web address `contact_form`: When the store’s contact form is used
  - Allowed values: `page`, `contact_form`, `raw`, `link`
- `channel_id` (double, optional) — channel ID
- `meta_title` (string, optional) — Text specified for this page’s `<title>` element. If empty, the value of the name property is used.
- `is_visible` (boolean, optional) — If true, this page appears in the storefront’s navigation menu.
- `parent_id` (integer, optional) — ID of any parent Web page.
- `sort_order` (integer, optional) — Order in which this page should display on the storefront. (Lower integers specify earlier display.)
- `meta_keywords` (string, optional) — Comma-separated list of SEO-relevant keywords to include in the page’s `<meta/>` element.
- `meta_description` (string, optional) — Description contained within this page’s `<meta/>` element.
- `is_homepage` (boolean, optional) — If true, this page is the storefront’s home page.
- `is_customers_only` (boolean, optional) — If true, this page is for customers only.
- `search_keywords` (string, optional) — Comma-separated list of keywords that shoppers can use to locate this page when searching the store.
- `has_mobile_version` (boolean, optional) — If true, this page has a mobile version. (For Blueprint themes only)
- `mobile_body` (string, optional) — HTML to use for this page’s body when viewed in the mobile template (deprecated - Blueprint themes only).
- `contact_fields` (string, optional) — Where the page’s type is a contact form: object whose members are the fields enabled (in the control panel) for storefront display. Possible members are:`fullname`: full name of the customer submitting the form; `phone`: customer’s phone number, as submitted on the form; `companyname`: customer’s submitted company name; `orderno`: customer’s submitted order number; `rma`: customer’s submitted RMA (Return Merchandise Authorization) number.
- `email` (string, optional) — Where the page’s type is a contact form, the email address that receives messages sent using the form.
- `url` (string, optional) — Relative URL on the storefront for this page.
- `layout_file` (string, optional) — Layout template for this page. This field is writable only for stores with a Blueprint theme applied.
- `link` (string, optional) — If page type is `link` this field is returned. Required in POST to create a `link` page.
- `content_type` (enum, optional)
  - Allowed values: `application/json`, `text/javascript`, `text/html`

## Response

### 200

OK

- `body` (string, optional) — HTML or variable that populates this page’s `<body>` element, in default/desktop view. Required in POST if page type is `raw`.
- `channel_id` (double, optional) — Channel ID.
- `contact_fields` (string, optional) — Where the page’s type is a contact form - object whose members are the fields enabled (in the control panel) for storefront display. Possible members are:`fullname` - full name of the customer submitting the form; `phone` - customer’s phone number, as submitted on the form; `companyname`- customer’s submitted company name; `orderno`- customer’s submitted order number; `rma` - customer’s submitted RMA (Return Merchandise Authorization) number.
- `content_type` (enum, optional)
  - Allowed values: `application/json`, `text/javascript`, `text/html`
- `email` (string, optional) — Where the page’s type is a contact form, the email address that receives messages sent using the form.
- `has_mobile_version` (boolean, optional) — If true, this page has a mobile version. (For Blueprint themes only)
- `id` (integer, optional) — ID of the page. Read-Only.
- `is_customers_only` (boolean, optional) — If true, this page is for customers only.
- `is_homepage` (boolean, optional) — If true, this page is the storefront’s home page.
- `is_visible` (boolean, optional) — If true, this page appears in the storefront navigation menu.
- `layout_file` (string, optional) — Layout template for this page. This field is writable only for stores with a Blueprint theme applied.
- `link` (string, optional) — If page type is `link`, this field is returned.
- `meta_description` (string, optional) — Description contained within this page’s `<meta/>` element. HTML to use for this page’s body when viewed in the mobile template.
- `meta_keywords` (string, optional) — Comma-separated list of SEO-relevant keywords to include in the page's `<meta/>` element.
- `meta_title` (string, optional) — Text specified for this page's `<title>` element. If empty, the value of the name property is used.
- `mobile_body` (string, optional) — HTML to use for this page’s body when viewed in the mobile template (deprecated - Blueprint only).
- `name` (string, optional) — Page name, as displayed on the storefront.
- `parent_id` (integer, optional) — ID of any parent Web page.
- `search_keywords` (string, optional) — Comma-separated list of keywords that shoppers can use to locate this page when searching the store.
- `sort_order` (integer, optional) — Order in which this page should display on the storefront. (Lower integers specify earlier display.)
- `type` (enum, optional) — `page`: free-text page `link`: link to another web address `contact_form`: When the store’s contact form is used
  - Allowed values: `page`, `contact_form`, `raw`, `link`
- `url` (string, optional) — Relative URL on the storefront for this page.

### 207

Multiple operations have taken place and the status for each operation can be viewed in the body of the response. Typically indicates that a partial failure has occurred, such as when a `POST` or `PUT` request is successful, but saving the URL has failed.

## Examples

### Create a page

**Request**

```json
{
  "name": "Contact Form",
  "body": "<p>We're happy to answer questions or help you with returns.<br />Please fill out the form below if you need assistance.</p>",
  "type": "page",
  "channel_id": 1,
  "meta_title": "string",
  "is_visible": true,
  "parent_id": 5,
  "sort_order": 3,
  "meta_keywords": "string",
  "meta_description": "string",
  "is_homepage": false,
  "is_customers_only": false,
  "search_keywords": "string",
  "has_mobile_version": false,
  "mobile_body": "0",
  "contact_fields": "fullname,companyname,phone,orderno,rma",
  "url": "/contact-us/"
}
```

**Response**

```json
{
  "body": "We're happy to answer questions or help you with returns.<br />Please fill out the form below if you need assistance.",
  "channel_id": 11,
  "has_mobile_version": false,
  "id": 6,
  "is_customers_only": true,
  "is_homepage": false,
  "is_visible": true,
  "layout_file": "page.html",
  "meta_description": "",
  "meta_keywords": "",
  "meta_title": "",
  "mobile_body": "",
  "name": "Contact Form",
  "parent_id": 5,
  "search_keywords": "",
  "sort_order": 3,
  "type": "page",
  "url": "/contact-us/"
}
```

**SDK Code**

```python Create a page
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v2/pages"

payload = {
    "name": "Contact Form",
    "body": "<p>We're happy to answer questions or help you with returns.<br />Please fill out the form below if you need assistance.</p>",
    "type": "page",
    "channel_id": 1,
    "meta_title": "string",
    "is_visible": True,
    "parent_id": 5,
    "sort_order": 3,
    "meta_keywords": "string",
    "meta_description": "string",
    "is_homepage": False,
    "is_customers_only": False,
    "search_keywords": "string",
    "has_mobile_version": False,
    "mobile_body": "0",
    "contact_fields": "fullname,companyname,phone,orderno,rma",
    "url": "/contact-us/"
}
headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Create a page
const url = 'https://api.bigcommerce.com/stores/store_hash/v2/pages';
const options = {
  method: 'POST',
  headers: {
    Accept: 'application/json',
    'X-Auth-Token': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{"name":"Contact Form","body":"<p>We\'re happy to answer questions or help you with returns.<br />Please fill out the form below if you need assistance.</p>","type":"page","channel_id":1,"meta_title":"string","is_visible":true,"parent_id":5,"sort_order":3,"meta_keywords":"string","meta_description":"string","is_homepage":false,"is_customers_only":false,"search_keywords":"string","has_mobile_version":false,"mobile_body":"0","contact_fields":"fullname,companyname,phone,orderno,rma","url":"/contact-us/"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Create a page
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v2/pages"

	payload := strings.NewReader("{\n  \"name\": \"Contact Form\",\n  \"body\": \"<p>We're happy to answer questions or help you with returns.<br />Please fill out the form below if you need assistance.</p>\",\n  \"type\": \"page\",\n  \"channel_id\": 1,\n  \"meta_title\": \"string\",\n  \"is_visible\": true,\n  \"parent_id\": 5,\n  \"sort_order\": 3,\n  \"meta_keywords\": \"string\",\n  \"meta_description\": \"string\",\n  \"is_homepage\": false,\n  \"is_customers_only\": false,\n  \"search_keywords\": \"string\",\n  \"has_mobile_version\": false,\n  \"mobile_body\": \"0\",\n  \"contact_fields\": \"fullname,companyname,phone,orderno,rma\",\n  \"url\": \"/contact-us/\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Create a page
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v2/pages")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"Contact Form\",\n  \"body\": \"<p>We're happy to answer questions or help you with returns.<br />Please fill out the form below if you need assistance.</p>\",\n  \"type\": \"page\",\n  \"channel_id\": 1,\n  \"meta_title\": \"string\",\n  \"is_visible\": true,\n  \"parent_id\": 5,\n  \"sort_order\": 3,\n  \"meta_keywords\": \"string\",\n  \"meta_description\": \"string\",\n  \"is_homepage\": false,\n  \"is_customers_only\": false,\n  \"search_keywords\": \"string\",\n  \"has_mobile_version\": false,\n  \"mobile_body\": \"0\",\n  \"contact_fields\": \"fullname,companyname,phone,orderno,rma\",\n  \"url\": \"/contact-us/\"\n}"

response = http.request(request)
puts response.read_body
```

```java Create a page
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.bigcommerce.com/stores/store_hash/v2/pages")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"Contact Form\",\n  \"body\": \"<p>We're happy to answer questions or help you with returns.<br />Please fill out the form below if you need assistance.</p>\",\n  \"type\": \"page\",\n  \"channel_id\": 1,\n  \"meta_title\": \"string\",\n  \"is_visible\": true,\n  \"parent_id\": 5,\n  \"sort_order\": 3,\n  \"meta_keywords\": \"string\",\n  \"meta_description\": \"string\",\n  \"is_homepage\": false,\n  \"is_customers_only\": false,\n  \"search_keywords\": \"string\",\n  \"has_mobile_version\": false,\n  \"mobile_body\": \"0\",\n  \"contact_fields\": \"fullname,companyname,phone,orderno,rma\",\n  \"url\": \"/contact-us/\"\n}")
  .asString();
```

```php Create a page
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.bigcommerce.com/stores/store_hash/v2/pages', [
  'body' => '{
  "name": "Contact Form",
  "body": "<p>We\'re happy to answer questions or help you with returns.<br />Please fill out the form below if you need assistance.</p>",
  "type": "page",
  "channel_id": 1,
  "meta_title": "string",
  "is_visible": true,
  "parent_id": 5,
  "sort_order": 3,
  "meta_keywords": "string",
  "meta_description": "string",
  "is_homepage": false,
  "is_customers_only": false,
  "search_keywords": "string",
  "has_mobile_version": false,
  "mobile_body": "0",
  "contact_fields": "fullname,companyname,phone,orderno,rma",
  "url": "/contact-us/"
}',
  'headers' => [
    'Accept' => 'application/json',
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Create a page
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v2/pages");
var request = new RestRequest(Method.POST);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"Contact Form\",\n  \"body\": \"<p>We're happy to answer questions or help you with returns.<br />Please fill out the form below if you need assistance.</p>\",\n  \"type\": \"page\",\n  \"channel_id\": 1,\n  \"meta_title\": \"string\",\n  \"is_visible\": true,\n  \"parent_id\": 5,\n  \"sort_order\": 3,\n  \"meta_keywords\": \"string\",\n  \"meta_description\": \"string\",\n  \"is_homepage\": false,\n  \"is_customers_only\": false,\n  \"search_keywords\": \"string\",\n  \"has_mobile_version\": false,\n  \"mobile_body\": \"0\",\n  \"contact_fields\": \"fullname,companyname,phone,orderno,rma\",\n  \"url\": \"/contact-us/\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Create a page
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "name": "Contact Form",
  "body": "<p>We're happy to answer questions or help you with returns.<br />Please fill out the form below if you need assistance.</p>",
  "type": "page",
  "channel_id": 1,
  "meta_title": "string",
  "is_visible": true,
  "parent_id": 5,
  "sort_order": 3,
  "meta_keywords": "string",
  "meta_description": "string",
  "is_homepage": false,
  "is_customers_only": false,
  "search_keywords": "string",
  "has_mobile_version": false,
  "mobile_body": "0",
  "contact_fields": "fullname,companyname,phone,orderno,rma",
  "url": "/contact-us/"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v2/pages")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Create a page

**Request**

```json
{
  "name": "Contact Form",
  "body": "<p>We're happy to answer questions or help you with returns.<br />Please fill out the form below if you need assistance.</p>",
  "type": "page",
  "channel_id": 1,
  "meta_title": "string",
  "is_visible": true,
  "parent_id": 5,
  "sort_order": 3,
  "meta_keywords": "string",
  "meta_description": "string",
  "is_homepage": false,
  "is_customers_only": false,
  "search_keywords": "string",
  "has_mobile_version": false,
  "mobile_body": "0",
  "contact_fields": "fullname,companyname,phone,orderno,rma",
  "url": "/contact-us/"
}
```

**Response**

```json
{}
```

**SDK Code**

```python Create a page
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v2/pages"

payload = {
    "name": "Contact Form",
    "body": "<p>We're happy to answer questions or help you with returns.<br />Please fill out the form below if you need assistance.</p>",
    "type": "page",
    "channel_id": 1,
    "meta_title": "string",
    "is_visible": True,
    "parent_id": 5,
    "sort_order": 3,
    "meta_keywords": "string",
    "meta_description": "string",
    "is_homepage": False,
    "is_customers_only": False,
    "search_keywords": "string",
    "has_mobile_version": False,
    "mobile_body": "0",
    "contact_fields": "fullname,companyname,phone,orderno,rma",
    "url": "/contact-us/"
}
headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Create a page
const url = 'https://api.bigcommerce.com/stores/store_hash/v2/pages';
const options = {
  method: 'POST',
  headers: {
    Accept: 'application/json',
    'X-Auth-Token': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{"name":"Contact Form","body":"<p>We\'re happy to answer questions or help you with returns.<br />Please fill out the form below if you need assistance.</p>","type":"page","channel_id":1,"meta_title":"string","is_visible":true,"parent_id":5,"sort_order":3,"meta_keywords":"string","meta_description":"string","is_homepage":false,"is_customers_only":false,"search_keywords":"string","has_mobile_version":false,"mobile_body":"0","contact_fields":"fullname,companyname,phone,orderno,rma","url":"/contact-us/"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Create a page
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v2/pages"

	payload := strings.NewReader("{\n  \"name\": \"Contact Form\",\n  \"body\": \"<p>We're happy to answer questions or help you with returns.<br />Please fill out the form below if you need assistance.</p>\",\n  \"type\": \"page\",\n  \"channel_id\": 1,\n  \"meta_title\": \"string\",\n  \"is_visible\": true,\n  \"parent_id\": 5,\n  \"sort_order\": 3,\n  \"meta_keywords\": \"string\",\n  \"meta_description\": \"string\",\n  \"is_homepage\": false,\n  \"is_customers_only\": false,\n  \"search_keywords\": \"string\",\n  \"has_mobile_version\": false,\n  \"mobile_body\": \"0\",\n  \"contact_fields\": \"fullname,companyname,phone,orderno,rma\",\n  \"url\": \"/contact-us/\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Create a page
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v2/pages")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"Contact Form\",\n  \"body\": \"<p>We're happy to answer questions or help you with returns.<br />Please fill out the form below if you need assistance.</p>\",\n  \"type\": \"page\",\n  \"channel_id\": 1,\n  \"meta_title\": \"string\",\n  \"is_visible\": true,\n  \"parent_id\": 5,\n  \"sort_order\": 3,\n  \"meta_keywords\": \"string\",\n  \"meta_description\": \"string\",\n  \"is_homepage\": false,\n  \"is_customers_only\": false,\n  \"search_keywords\": \"string\",\n  \"has_mobile_version\": false,\n  \"mobile_body\": \"0\",\n  \"contact_fields\": \"fullname,companyname,phone,orderno,rma\",\n  \"url\": \"/contact-us/\"\n}"

response = http.request(request)
puts response.read_body
```

```java Create a page
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.bigcommerce.com/stores/store_hash/v2/pages")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"Contact Form\",\n  \"body\": \"<p>We're happy to answer questions or help you with returns.<br />Please fill out the form below if you need assistance.</p>\",\n  \"type\": \"page\",\n  \"channel_id\": 1,\n  \"meta_title\": \"string\",\n  \"is_visible\": true,\n  \"parent_id\": 5,\n  \"sort_order\": 3,\n  \"meta_keywords\": \"string\",\n  \"meta_description\": \"string\",\n  \"is_homepage\": false,\n  \"is_customers_only\": false,\n  \"search_keywords\": \"string\",\n  \"has_mobile_version\": false,\n  \"mobile_body\": \"0\",\n  \"contact_fields\": \"fullname,companyname,phone,orderno,rma\",\n  \"url\": \"/contact-us/\"\n}")
  .asString();
```

```php Create a page
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.bigcommerce.com/stores/store_hash/v2/pages', [
  'body' => '{
  "name": "Contact Form",
  "body": "<p>We\'re happy to answer questions or help you with returns.<br />Please fill out the form below if you need assistance.</p>",
  "type": "page",
  "channel_id": 1,
  "meta_title": "string",
  "is_visible": true,
  "parent_id": 5,
  "sort_order": 3,
  "meta_keywords": "string",
  "meta_description": "string",
  "is_homepage": false,
  "is_customers_only": false,
  "search_keywords": "string",
  "has_mobile_version": false,
  "mobile_body": "0",
  "contact_fields": "fullname,companyname,phone,orderno,rma",
  "url": "/contact-us/"
}',
  'headers' => [
    'Accept' => 'application/json',
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Create a page
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v2/pages");
var request = new RestRequest(Method.POST);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"Contact Form\",\n  \"body\": \"<p>We're happy to answer questions or help you with returns.<br />Please fill out the form below if you need assistance.</p>\",\n  \"type\": \"page\",\n  \"channel_id\": 1,\n  \"meta_title\": \"string\",\n  \"is_visible\": true,\n  \"parent_id\": 5,\n  \"sort_order\": 3,\n  \"meta_keywords\": \"string\",\n  \"meta_description\": \"string\",\n  \"is_homepage\": false,\n  \"is_customers_only\": false,\n  \"search_keywords\": \"string\",\n  \"has_mobile_version\": false,\n  \"mobile_body\": \"0\",\n  \"contact_fields\": \"fullname,companyname,phone,orderno,rma\",\n  \"url\": \"/contact-us/\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Create a page
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "name": "Contact Form",
  "body": "<p>We're happy to answer questions or help you with returns.<br />Please fill out the form below if you need assistance.</p>",
  "type": "page",
  "channel_id": 1,
  "meta_title": "string",
  "is_visible": true,
  "parent_id": 5,
  "sort_order": 3,
  "meta_keywords": "string",
  "meta_description": "string",
  "is_homepage": false,
  "is_customers_only": false,
  "search_keywords": "string",
  "has_mobile_version": false,
  "mobile_body": "0",
  "contact_fields": "fullname,companyname,phone,orderno,rma",
  "url": "/contact-us/"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v2/pages")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```